Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 612617 - Source testsuite in oddjob does not completely PASS
Source testsuite in oddjob does not completely PASS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: oddjob (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Nalin Dahyabhai
Zbysek MRAZ
http://git.fedorahosted.org/git/?p=od...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 11:48 EDT by Zbysek MRAZ
Modified: 2013-07-03 09:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: oddjob-0.30-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-10 02:51:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0339 normal SHIPPED_LIVE oddjob bug fix update 2011-03-10 02:50:58 EST

  None (edit)
Description Zbysek MRAZ 2010-07-08 11:48:08 EDT
Description of problem:
The 006 and 007 subtests are failing. This does not mean any package breakage or malfunction.

Version-Release number of selected component (if applicable):
oddjob-0.30-1.el6


Steps to Reproduce:
1. install source rpm
2. rpmbuild -bc oddjob.spec
3. cd BUILD/tests
4. make check
  
Actual results:
Either 006:
--- 006/expected_stdout	2010-07-02 13:31:19.060428057 +0200
+++ stdout	2010-07-08 17:41:51.073386051 +0200
@@ -13,7 +13,7 @@
 prw------- fifo                      /proc/$$/fd/0
 prw------- fifo                      /proc/$$/fd/1
 prw------- fifo                      /proc/$$/fd/2
--rwxrwxr-x regular file              /proc/$$/fd/255
+-rwxr-xr-x regular file              /proc/$$/fd/255
 [echo $*]
 
 [echo `cat`]
FAIL

or 007:
--- 007/expected_stdout	2010-07-02 13:31:19.237403283 +0200
+++ stdout	2010-07-08 17:14:25.351384964 +0200
@@ -13,7 +13,7 @@
 prw------- fifo                      /proc/$$/fd/0
 prw------- fifo                      /proc/$$/fd/1
 prw------- fifo                      /proc/$$/fd/2
--rwxrwxr-x regular file              /proc/$$/fd/255
+-rwxr-xr-x regular file              /proc/$$/fd/255
 [echo $*]
 root foo
 [echo `cat`]
FAIL

are failing

Expected results:
15 PASSES

Additional info:
As a workaround the 006 and 007 directories can be removed.
This does not
Comment 6 errata-xmlrpc 2011-03-10 02:51:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0339.html

Note You need to log in before you can comment on or make changes to this bug.